Description

Requirment : To bring admin side Flight + Hotel Booking

Things need to do

1) Bring Flight + Hotel search option

make sure we have Modify search option in flight + Hotel.

Keep the search option same as B2C - refer otolat.com.kw

also Modify search refer Otolat.com.kw.

Keep the modify search in the left side - dont make it on top

Once flight results obtained and selected a flight next search must go for Hotel

and choose the Hotel from result page and proceed to FLIGHT + HOTEL itenary page

In Pax Page ensure the options Add passenger , select from saved member exist.

Make sure Baggage selection exist for travel fusion and other related providers.

Proceed to Payment page and here we should have option to enter Instant markup and Instant discount.

Show the ticket / voucher together in single page.

If flight ticket confirmed and hotel failed show the status accordingly ( same vice versa )

Notifications required

1) For flight make sure we have

a)Booking success / booking failed received to admin user

b) ticket success / ticket failed received to admin user

2) For Hotel we have Booking success or Booking failed received to admin user
Agency wise concept

In agency wise concept - If we create a travel agent and provide credit balance , make sure the balance is deducted from his credit
account once a ticket and hotel booking is confirmed. The total amount including instant service charges must be reduced.

if an agency has done credit / deposit management - in such case the added amount will initially go to deposit balance. so first
deposit balance must be reduced if a flight + Hotel is booked!/ ticketed

The updated all information must be reflected in Account summary report and Sales report.

Like usual sales report of B2C, in B2B also same report should reflect but should have instant markup and instant discount
additionally.

Transaction Queue report

Additonally bring an option in Online Booking management >> Flight + Hotel Bookings

All the flight + Hotel Bookings must go under this

And make sure we have the status is coming same as current flow of B2C F+H Booking

Bring with price and with out price check box in TQR
Also email ticket and print ticket in TQR

Subtasks:

Feature # 38064: Sub Task ||Otolat - Flight + Hotel Integration B2B Closed
Feature # 38065: Sub Task ||Otolat - Flight + Hotel Integration B2B Closed
History

#1 - 04/04/2018 08:53 am - Sreerag Prasannan
- Subject changed from Otolat - Flight + Hotel Integration to Otolat - Flight + Hotel Integration B2B
- Description updated

#2 - 04/04/2018 11:50 am - Sreerag Prasannan
- Description updated

#3 - 04/04/2018 11:58 am - Sreerag Prasannan
- Description updated

#4 - 04/04/2018 12:00 pm - Sreerag Prasannan
- Description updated

#5 - 04/04/2018 12:01 pm - Sreerag Prasannan
- Description updated

#6 - 04/04/2018 12:21 pm - Sreerag Prasannan
- Description updated

#7 - 04/04/2018 06:55 pm - Ratheesh S
- Due date set to 04/05/2018

- Status changed from New to Assigned
- Assignee set to Sreerag Prasannan

- Estimated time set to 0.50
Need more info about modify search since there is no modify search is visible there in F+H in B2C Otolat.com.kw.

Whether the client need to modify both flight and hotel search criteria from the flight result page and hotel result page?

#8 - 04/04/2018 06:55 pm - Ratheesh S
- Status changed from Assigned to Need more info

#9 - 04/06/2018 12:39 pm - Ratheesh S
- Status changed from Need more info to Assigned

#10 - 04/06/2018 01:04 pm - Sreerag Prasannan
- Tracker changed from Effort Estimation Request to Bug
- Project changed from Effort Estimate to Tripnet

#11 - 04/06/2018 01:07 pm - Sreerag Prasannan

- Tracker changed from Bug to Feature

#12 - 04/06/2018 01:09 pm - Sreerag Prasannan
- Category set to Functionality

- Status changed from Assigned to New

- Assignee deleted (Sreerag Prasannan)

changed to project tripnet after effort estimation and status made New.

#13 - 04/06/2018 01:34 pm - Ratheesh S
- Due date deleted (04/05/2018)

- Status changed from New to Assigned

- Assignee set to Ratheesh S

- Start date deleted (04/04/2018)

#14 - 04/06/2018 02:10 pm - Ratheesh S

- Due date set to 04/19/2018

- Assignee changed from Ratheesh S to Anitta P
- Start date set to 04/09/2018

- Estimated time changed from 0.50 to 72.00

#15 - 04/09/2018 09:28 am - Anitta P
- Status changed from Assigned to In Progress

#16 - 04/09/2018 03:56 pm - Anitta P

1)musafren Flight+Hotel flow is need to integrate in this projects so study this flow(modify search in flight and hotel).
2)started flight+hotel search panel integration.

#17 - 04/10/2018 04:05 pm - Anitta P

F+H search panel Design + validation complete 80%.routing code is pending.
#18 - 04/10/2018 05:59 pm - Jinu P Chacko

musafren Flight+Hotel flow is need to integrate in this projects so study this flow(modify search in flight and hotel).

#19 - 04/11/2018 04:36 pm - Anitta P

Flight+Hotel Search panel,Modify search panel completed.

#20 - 04/11/2018 04:57 pm - Jinu P Chacko

hotel result page Completed ,modify search Remaining

#21 - 04/12/2018 09:35 am - Jubin J

- Assignee deleted (Anitta P)

#22 - 04/24/2018 07:55 am - Jubin J

- Status changed from In Progress to Fixed not Tested

#23 - 05/31/2018 12:39 pm - Albin Paul

- Status changed from Fixed not Tested to Closed
